MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022927Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2012-01-25 18:542013-04-29 15:21
Reportervtn 
Assigned Tovro 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0022927: Regression with OCCT652 on Windows. DRAWEXE craches during offsetcomshape.
Descriptioncrash of DRAWEXE from occt-20120120-opt-vc8
Steps To Reproducex: -> //virtex/dn45

pload TOPTEST
datadir x:/occttests/tests/ED/ccv/data
restore 2_D1.rle s
explode s F
catch {offsetcompshape result s -2 s_17}

crash of DRAWEXE
TagsNo tags attached.
Test case numberoffset compshape A4
Attached Filespng file icon 2_D1offset-2.png (5,935 bytes) 2012-06-20 08:31

- Relationships
related to 0023524newjgv Command offsetcompshape produces incorrect result 

-  Notes
(0020722)
vtn (developer)
2012-06-18 21:51

Dear Vladislav,

Please see if the problem is reproduced on current master.
(0020739)
vro (developer)
2012-06-20 08:36

The algorithm BRepOffset_MakeOffset has a restriction for this particular case. In other words, the operation can't be performed.
A neighbour face of the "stop" face (they are in green in the pic 2_D1offset-2.png) represents a cylinder. Being offseted and enlarged the cylinder doesn't intersect the enlarged (but not offseted) planar "stop" face. So, a closed shell can't be constructed, the result is not reachable.
(0020740)
vro (developer)
2012-06-20 08:37

Dear Julia, what is your opinion on this bug (restriction of the algorithm)?
(0020741)
vro (developer)
2012-06-20 08:52

In addition, I put into CR22927 a small check operation to avoid a crash in case of no intersections between offset and enlarged faces.
(0022085)
jgv (developer)
2012-11-02 16:16

Dear Mikhail,

The bug is not reproduced (no crash). Please check it again on last version and modify the test script to make it OK.
(0022146)
apn (administrator)
2012-11-08 13:58

Dear BugMaster,
Branch CR22927 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
offset compshape A4 - BAD (known problem)
Test case was modified (necessary TODO was added) and new bug 23524 was created.

- Related Changesets
occt: master 80e49d43
Timestamp: 2012-11-15 11:19:42
Author: vro
Details ] Diff ]
0022927: Regression with OCCT652 on Windows. DRAWEXE crashes during offsetcomshape.

Check was added to avoid a crash if result is not reachable.
Modified test case
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-25 18:54 vtn New Issue
2012-01-25 18:54 vtn Assigned To => jgv
2012-06-18 21:51 vtn Note Added: 0020722
2012-06-18 21:51 vtn Assigned To jgv => vro
2012-06-18 21:51 vtn Status new => assigned
2012-06-20 08:31 vro File Added: 2_D1offset-2.png
2012-06-20 08:36 vro Note Added: 0020739
2012-06-20 08:37 vro Note Added: 0020740
2012-06-20 08:37 vro Assigned To vro => jgv
2012-06-20 08:37 vro Status assigned => feedback
2012-06-20 08:52 vro Note Added: 0020741
2012-10-24 18:00 abv Target Version => 6.6.0
2012-11-02 16:15 jgv Assigned To jgv => mkv
2012-11-02 16:16 jgv Note Added: 0022085
2012-11-02 16:16 jgv Status feedback => assigned
2012-11-07 15:31 apn Test case number => offset compshape A4
2012-11-07 15:35 apn Assigned To mkv => apn
2012-11-08 13:45 apn Relationship added related to 0023524
2012-11-08 13:58 apn Note Added: 0022146
2012-11-08 13:59 apn Assigned To apn => bugmaster
2012-11-08 13:59 apn Status assigned => resolved
2012-11-08 13:59 apn Status resolved => reviewed
2012-11-08 13:59 apn Status reviewed => tested
2012-11-16 13:03 vro Changeset attached => occt master 80e49d43
2012-11-16 13:03 vro Assigned To bugmaster => vro
2012-11-16 13:03 vro Status tested => verified
2012-11-16 13:03 vro Resolution open => fixed
2012-12-10 17:16 vro Changeset attached => occt master 80e49d43
2013-04-23 13:36 aiv Status verified => closed
2013-04-29 15:21 aiv Fixed in Version => 6.6.0


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker